Skip to content

List folders

Every folder in the account, sorted by name.

GET/v1/folders
Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequired

Bearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.

Responses
200

Folders

itemsFolder[]required
Show properties
Array of Folder
idstringrequired
namestringrequired
colorstring | nullrequired
Allowed:grayredorangeambergreentealbluevioletpinknull
kindstringrequired
Allowed:manualsmart
cardCountnumberrequired

Cards in the folder that are not archived or in Trash.

createdAtnumberrequired
updatedAtnumberrequired
Try it
Server
Authorization
Request
curl -X GET 'https://teakvault.com/api/v1/folders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "color": "gray",
      "kind": "manual",
      "cardCount": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?